.\" $NetBSD: piixpm.4,v 1.3 2008/03/26 11:15:20 jmcneill Exp $
.\"	$OpenBSD: piixpm.4,v 1.9 2006/01/18 03:06:33 brad Exp $
.\"
.\" Copyright (c) 2004, 2005 Alexander Yurchenko <grange@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd March 26, 2008
.Dt PIIXPM 4
.Os
.Sh NAME
.Nm piixpm
.Nd Intel PIIX and compatible Power Management controller
.Sh SYNOPSIS
.Cd "piixpm* at pci? dev ? function ?"
.Cd "iic* at piixpm?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Intel PIIX and compatible Power Management
controller.
Only the SMBus host interface is supported and can be used with the
.Xr iic 4
framework.
.Pp
Supported chipsets:
.Pp
.Bl -bullet -compact -offset indent
.It
ATI SB200, SB300, SB400, SB600, SB700, SB800
.It
Intel 82371AB (PIIX4), 82440MX
.It
Serverworks OSB4, OSB5, OSB6, HT1000SB
.El
.Sh SEE ALSO
.Xr iic 4 ,
.Xr intro 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 3.9
and then in
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The current
.Nm
driver was written by
.An Alexander Yurchenko Aq grange@openbsd.org .
It was ported to
.Nx
by
.An Jared D. McNeill Aq jmcneill@netbsd.org .
.Sh BUGS
The driver doesn't support I2C commands with a data buffer size of more
than 2 bytes.
